/**********************************************************
***********************************************************
*               European Southern Observatory
*            VLTI MIDI Data Reduction Software
*
* Module name:  estimationFrg.h
* Description:
*
*
* History:
* 16-Jul-04     (csabet) Added more prototypes
* 12-Dec-03     (csabet) Added more prototypes
* 03-Sep-03     (csabet) Created the prototypes for Jeff. Further modification
*               shall be his responsibility
***********************************************************
**********************************************************/
#ifndef _ESTIMATION_FRG_H
#define _ESTIMATION_FRG_H

/**********************************************************
*   Include files
**********************************************************/
#include "midiLib.h"

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Global Variables
**********************************************************/

/**********************************************************
*   Type definitions
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void estimateFringe (
    MidiFiles		*fileNames,
    FilterData		*filterinfo,
    CompressedData	*compressed,
    ImageFormat		*format,
	float   		*freqCal,
	float			*dispRawVis,
    float			*dispRawVisErr,
    int				*error);

int getChannelSpectrum (
	int			channel,
    int			lowFreqIndex,
    int			highFreqIndex,
	int			*rejectList,
    float		*indata1,
    float		*indata2,
    ImageFormat	*format,
        float		*output,
    float        *Peakvector);

void ProcessSpectrumEachChannel (
    MidiFiles		*fileNames,
    FilterData		*filterinfo,
    CompressedData	*compressed,
    ImageFormat		*format,
    float			*dispRawVis,
    float			*dispRawVisErr,
    float   		*freqCal,
    int				*error);

void findSpectralPeak (
    float	*data,
    int		lofreqindex,
    int		hifreqindex,
    float	*peakch,
    float	*peakinterp);

float analyseSpectrum (
    ImageFormat	*format,
    float		fringeFreq,
    float		*spectrum,
    float		calib,
	float		*fringePowerErr);

/*********************************************************/
#endif
/*********************************************************/

