/*
 * This file is part of the MIDI Pipeline
 * Copyright (C) 2002, 2003, 2004, 2005 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, 51 Franklin St, Fifth Floor, Boston, MA  02111-1307  USA
 */

#ifndef MIDI_APPEND_PROPERTYLIST_H
#define MIDI_APPEND_PROPERTYLIST_H


/*-----------------------------------------------------------------------------
                                Includes
  -----------------------------------------------------------------------------*/
#include <cpl.h>


/*-----------------------------------------------------------------------------
                                Functions prototypes
 -----------------------------------------------------------------------------*/

struct plots
{
      const char *    filename;
      const char *    label;
      
} ;


cpl_error_code appendPropertylist(const char *Produc, 
                                  cpl_frame_type  type, 
                                  const char *tag,
                                  cpl_frameset *frameset,
                                  cpl_parameterlist  *parlist);

cpl_error_code appendPropertylist_table(const char   *ProductFile, 
                                        cpl_frame_type     type, 
                                        const char         *tag,
                                        cpl_frameset       *frameset,
                                        cpl_parameterlist  *parlist);


cpl_error_code appendPropertylist_statistics(const char         *InputFile, 
                                             const char         *ProductFile, 
                                             cpl_frame_type     type, 
                                             const char         *tag,
                                             cpl_frameset       *frameset,
                                             cpl_parameterlist  *parlist,
                                             struct plots       *plotfiles_lambda,
                                             struct plots       *plotfiles_frames,
                                             struct plots       *plotfiles_scans,
                                             int                 dimen_lambda,
                                             int                 dimen_frames,
                                             int                 dimen_scans);

cpl_vector * vector_read(const char * filename);
#endif
