/*
 * This file is part of the MIDI Pipeline
 * Copyright (C) 2002, 2003, 2004, 2005 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, 51 Franklin St, Fifth Floor, Boston, MA  02111-1307  USA
 */

#ifndef MIDI_CPLUTILS_H
#define MIDI_CPLUTILS_H

#include <cpl.h>

int timetable_to_cpltable(const char * columname,
                          cpl_table * intable,
                          cpl_table * outtable);

int table_to_imglst(const char * columname,
                    cpl_imagelist * imglst,
                    cpl_table * table);

int midi_check_sof(cpl_frameset * frameset, const char * tag);

cpl_polynomial * midi_polynomial_fit_1d_create(
		const cpl_vector    *   x_pos,
		const cpl_vector    *   values,
		int                     degree,
		double              *   mse);
#endif
