/**********************************************************
***********************************************************
*               European Southern Observatory
*            VLTI MIDI Data Reduction Software
*
* Module name:  preProcSP.h
* Description:
*
*
* History:
* 08-Aug-05     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _PREPROC_FRG_SP_H
#define _PREPROC_FRG_SP_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Type definitions
**********************************************************/

/**********************************************************
*   Global Variables
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void preProcFrgSP (
	UserOptions		*options,
    FilterData		*filterInfo,
    MidiFiles		*fileNames,
    CompressedData	*compressedInterf,
    CompressedData	*compressedPhotomA,
    CompressedData	*compressedPhotomB,
    ImageFormat		*formatInterf,
    ImageFormat		*formatPhotomA,
    ImageFormat		*formatPhotomB,
    int				*error);

void organiseFrgSP (
	int					newFile,
	int					extNumOfImagingDataFile,
    MidiFiles			*fileNames,
	int					extNumOfImagingDataMask,
    char				*maskFile,
    ImageFormat			*localFormat,
    ImageFormat			*formatInterf,
    CompressedData		*compressedInterf,
    CompressedData		*compressedPhotomA,
    CompressedData		*compressedPhotomB,
    int					*error);

int compressFrgSP (
    char			*inFitsFile,
    char			*maskFile,
    int				extNumOfImagingDataFile,
    int				extNumOfImagingDataMask,
    CompressedData	*compressedInterf,
    CompressedData	*compressedPhotomA,
    CompressedData	*compressedPhotomB,
    int				newSet,
    ImageFormat		*splitFormat,
    int				numOfFramesMax,
    int				*error);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

